Loading...
Searching...
No Matches
Magick::PathArcRel Class Reference
Inheritance diagram for Magick::PathArcRel:

## Public Member Functions

| PathArcRel (const PathArcArgs &coordinates_)
| PathArcRel (const PathArcArgsList &coordinates_)
| PathArcRel (const PathArcRel &original_)
void | operator() (MagickCore::DrawingWand *context_) const
VPathBase * | copy () const

## Private Attributes

PathArcArgsList | _coordinates

## Detailed Description

Definition at line 2493 of file Drawable.h.

## Constructor & Destructor Documentation

## PathArcRel() [1/3]

Magick::PathArcRel::PathArcRel | ( | const PathArcArgs & | coordinates_ | ) |

Definition at line 1863 of file Drawable.cpp.

: _coordinates(1,coordinates_)
{
}

## PathArcRel() [2/3]

Magick::PathArcRel::PathArcRel | ( | const PathArcArgsList & | coordinates_ | ) |

Definition at line 1867 of file Drawable.cpp.

: _coordinates(coordinates_)
{
}

## PathArcRel() [3/3]

Magick::PathArcRel::PathArcRel | ( | const PathArcRel & | original_ | ) |

Definition at line 1871 of file Drawable.cpp.

: VPathBase (original_),
_coordinates(original_._coordinates)
{
}

## ~PathArcRel()

Magick::PathArcRel::~PathArcRel | ( | void |  | ) |

Definition at line 1876 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::VPathBase * Magick::PathArcRel::copy | ( |  | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 1889 of file Drawable.cpp.

{
return new PathArcRel(*this);
}

## operator()()

void Magick::PathArcRel::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Implements Magick::VPathBase.

Definition at line 1879 of file Drawable.cpp.

{
for( PathArcArgsList::const_iterator p = _coordinates.begin();
p != _coordinates.end(); p++ )
{
DrawPathEllipticArcRelative( context_, p->radiusX(), p->radiusY(),
p->xAxisRotation(), (MagickBooleanType) p->largeArcFlag(),
(MagickBooleanType) p->sweepFlag(), p->x(), p->y() );
}
}

## Field Documentation

## _coordinates

PathArcArgsList Magick::PathArcRel::_coordinates

private

Definition at line 2513 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp